Subject: Re: ethtool needs a new maintainer

From: "John W. Linville" <[email-masked]>
Date: Mon, 27 Jun 2016 09:51:47 -0400

On Sun, Jun 26, 2016 at 06:11:41PM +0200, Ben Hutchings wrote:
> I've become steadily less enthusiastic and less responsive as a
> maintainer over the past year or so.  I no longer work on networking
> regularly, so it takes a lot more time to get into the right state of
> mind to think about ethtool code, while I have other demands on my time
> that tend to take priority.
> 
> So, I would like to find a new maintainer to take over as soon as
> possible.  Ideally the new maintainer would have previous contributions
> to ethtool and an existing account on kernel.org so that they can push
> to the git repository and the home page.  But neither of those is
> essential.  Please reply if you're interested.

I would like to take this responsibility. My previous contributions
to ethtool are meager, but I think my skills and interests are suited
to the task.  Plus, I already have a kernel.org account... :-)

> I was thinking of adding a TODO file to the repository, but it's really
> for the new maintainer to decide what to do.  So here's my list as a
> suggestion:
> 
> * Add regression test coverage for all sub-commands with complex logic
> 
> * Internationalise output and error messages
> 
> * Build a libethtool that handles all the API quirks and fallbacks for
>   old kernel versions.  This might help people writing language
>   bindings or other utilities that use the ethtool API.
> 
> * Provide a 'cleaned up' ethtool (under some other name) that has:
>   - More conventional sub-command syntax, i.e. no '-'/'--' prefix
>   - More consistent output formatting

That seems like a reasonable start for a TODO list. I'll bet there
are a few people out there with other suggestions as well...?

Anyway, I would be happy to take-on the job of ethtool maintainer,
and I look forward to getting back into a more concrete role within
the community. Any objections?

John
-- 
John W. Linville		Someday the world will need a hero, and you
[email-masked]			might be all we have.  Be ready.